Name:		whisper.cpp
Version:	1.5.5
Release:	1%{?dist}
Summary:	C++ implementation of Whisper OpenAI model

License:	MIT
URL:		https://github.com/ggerganov/whisper.cpp
Source0:	%{name}-%{version}.tar.gz

Patch1:		whisper.cpp-1.5.5-paths.patch

BuildRequires:	gcc, g++, make
Requires:	whisper-model-en-base
Requires:	/usr/share/fonts/dejavu-sans-mono-fonts/DejaVuSansMono-Bold.ttf

%description
High-performance inference of OpenAI's Whisper automatic speech recognition (ASR) model:
 -  Plain C/C++ implementation without dependencies
 -  Apple Silicon first-class citizen - optimized via ARM NEON, Accelerate framework, Metal and Core ML
 -  AVX intrinsics support for x86 architectures
 -  VSX intrinsics support for POWER architectures
 -  Mixed F16 / F32 precision
 -  4-bit and 5-bit integer quantization support
 -  Zero memory allocations at runtime
 -  Support for CPU-only inference
 -  Efficient GPU support for NVIDIA
 -  Partial OpenCL GPU support via CLBlast
 -  OpenVINO Support
 -  C-style API

%prep
%autosetup -p 1

%build
xcxxflags="$(make -k intentionally-inexistent-target 2>&1 | sed -nre 's!^I CXXFLAGS: !! p')"
xcflags="$(make -k intentionally-inexistent-target 2>&1 | sed -nre 's!^I CFLAGS: !! p')"
%make_build CFLAGS="$CFLAGS $xcflags" CXXFLAGS="$CXXFLAGS $xcxxflags"

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 main $RPM_BUILD_ROOT%{_bindir}/transcribe

%files
%license LICENSE
%doc README.md
%{_bindir}/transcribe

%changelog
* Wed Apr 24 2024 Philippe Troin <phil@fifi.org> - 1.5.5-1
- Upstream updated to 1.5.5.
- Adjust paths patch for 1.5.5.
- Split out the English model to its own package.

* Thu Feb 15 2024 Philippe Troin <phil@fifi.org> - 1.5.4-1
- Created.
